List Conclusions
curl --request POST \
--url https://api.honcho.dev/v3/workspaces/{workspace_id}/conclusions/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"filters": {}
}'import requests
url = "https://api.honcho.dev/v3/workspaces/{workspace_id}/conclusions/list"
payload = { "filters": {} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({filters: {}})
};
fetch('https://api.honcho.dev/v3/workspaces/{workspace_id}/conclusions/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.honcho.dev/v3/workspaces/{workspace_id}/conclusions/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'filters' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.honcho.dev/v3/workspaces/{workspace_id}/conclusions/list"
payload := strings.NewReader("{\n \"filters\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.honcho.dev/v3/workspaces/{workspace_id}/conclusions/list")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"filters\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.honcho.dev/v3/workspaces/{workspace_id}/conclusions/list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"filters\": {}\n}"
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "<string>",
"content": "<string>",
"observer_id": "<string>",
"observed_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"session_id": "<string>",
"level": "explicit",
"source_ids": [
"<string>"
],
"times_derived": 1
}
],
"total": 1,
"page": 2,
"size": 2,
"pages": 1
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}conclusions
List Conclusions
List Conclusions using optional filters, ordered by recency unless reverse is true. Results are paginated.
Pass cursor (empty for the first page) to use cursor pagination, which
skips the total count and stays fast at any depth.
POST
/
v3
/
workspaces
/
{workspace_id}
/
conclusions
/
list
List Conclusions
curl --request POST \
--url https://api.honcho.dev/v3/workspaces/{workspace_id}/conclusions/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"filters": {}
}'import requests
url = "https://api.honcho.dev/v3/workspaces/{workspace_id}/conclusions/list"
payload = { "filters": {} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({filters: {}})
};
fetch('https://api.honcho.dev/v3/workspaces/{workspace_id}/conclusions/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.honcho.dev/v3/workspaces/{workspace_id}/conclusions/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'filters' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.honcho.dev/v3/workspaces/{workspace_id}/conclusions/list"
payload := strings.NewReader("{\n \"filters\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.honcho.dev/v3/workspaces/{workspace_id}/conclusions/list")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"filters\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.honcho.dev/v3/workspaces/{workspace_id}/conclusions/list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"filters\": {}\n}"
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "<string>",
"content": "<string>",
"observer_id": "<string>",
"observed_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"session_id": "<string>",
"level": "explicit",
"source_ids": [
"<string>"
],
"times_derived": 1
}
],
"total": 1,
"page": 2,
"size": 2,
"pages": 1
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Whether to reverse the order of results
Page number (offset mode)
Required range:
x >= 1Page size
Required range:
1 <= x <= 100Opt in to cursor pagination. Send an empty value for the first page, then the next_page value from each response. When set, page is ignored and the response is a cursor page with no total.
Body
application/json
Schema for listing conclusions with optional filters.
Was this page helpful?